%define _hardened_build 1
Name:		realmd
Version:	0.17.1
Release:	1
Summary:	AD integration detection
License:	LGPLv2+
URL:		https://cgit.freedesktop.org/realmd/realmd/
Source0:	https://gitlab.freedesktop.org/sbose/realmd/uploads/b13a87292762bdad3ecbfe65bbb57211/realmd-%{version}.tar.gz

Patch9000:      fix-build-bug-with-distro-of-openeuler.patch

BuildRequires:	gcc automake autoconf intltool pkgconfig gettext-devel glib2-devel >= 2.32.0
BuildRequires:  openldap-devel polkit-devel krb5-devel systemd-devel libxslt xmlto python3 git
Requires:	authselect polkit

%description
realmd is a dbus system service that manages discovery and enrollment in
realms/domains like Active Directory or IPA.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 -S git

%build
autoreconf -fi
%configure --disable-silent-rules
make %{?_smp_mflags}


%install
%make_install

%post
%systemd_post realmd.service

%preun
%systemd_preun realmd.service

%postun
%systemd_postun_with_restart realmd.service

%check
make check

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.realmd.conf
%{_libexecdir}/realmd
%{_prefix}/lib/realmd/*
%{_sbindir}/realm
%{_unitdir}/realmd.service
%{_localstatedir}/cache/realmd/
%{_datadir}/polkit-1/actions/org.freedesktop.realmd.policy
%{_datadir}/dbus-1/system-services/org.freedesktop.realmd.service
%{_datadir}/locale/*

%files help
%defattr(-,root,root)
%doc ChangeLog NEWS README
%doc %{_datadir}/doc/realmd/
%exclude %{_datadir}/doc/realmd/AUTHORS
%{_mandir}/man8/*
%{_mandir}/man5/*

%changelog
* Thu Nov 3 2022 huangzhenqiang <huangzhenqiang2@huawei.com> - 0.17.1-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 0.17.1

* Fri Jun 17 2022 Hugel <gengqihu1@h-partners.com> - 0.17.0-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:delete duplicate file AUTHORS from help

* Fri Dec 3 2021 panxiaohe <panxiaohe@huawei.com> - 0.17.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 0.17.0

* Sun Feb 7 2021 lirui <lirui130@huawei.com> - 0.16.3-23
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix test timeout

* Fri Jul 24 2020 yu_boyun <yuboyun@huawei.com> - 0.16.3-22
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix build error with python3

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-21
- clean code

* Sun Dec 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-20
- Modify patch information

* Mon Oct 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-19
- Fix build bug with distro of openEuler

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-18
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Tue Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.16.3-17
- Package init
